## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMemoryManagement.hpp File Reference

Include dependency graph for XalanMemoryManagement.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- struct ConstructValueWithMemoryManager
- struct ConstructValueWithNoMemoryManager
- struct ConstructWithMemoryManager
- struct ConstructWithMemoryManagerTraits
- struct ConstructWithNoMemoryManager
- struct ConstructWithNoMemoryManagerTraits
- struct MemoryManagedConstructionTraits
- class XalanMemMgrs

## Defines

- #define XALANMEMORYMANAGEMENT_HEADER_GUARD_1357924680
- #define XALAN_DEFAULT_CONSTRUCTOR_MEMORY_MGR = XalanMemMgrs::getDefaultXercesMemMgr()
- #define XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR XALAN_DEFAULT_CONSTRUCTOR_MEMORY_MGR
- #define XALAN_DEFAULT_MEMMGR = XalanMemMgrs::getDefaultXercesMemMgr()
- #define XALAN_USES_MEMORY_MANAGER(Type)

## Functions

- XALAN_USING_XERCES (MemoryManager) class XalanAllocationGuard
    XalanXMLSerializerBase serves as a base class for XML serializers based on FormatterListener events. More...
- void XalanDestroy (Type &theArg)
- void XalanDestroy (Type *theArg)
- void XalanDestroy (MemoryManager &theMemoryManager, Type *theArg)
- void XalanDestroy (MemoryManager &theMemoryManager, Type &theArg)
- Type* XalanConstruct (MemoryManager &theMemoryManager, Type *&theInstance)
- Type* XalanConstruct (MemoryManager &theMemoryManager, Type *&theInstance, const Param1Type &theParam1)
- Type* XalanConstruct (MemoryManager &theMemoryManager, Type *&theInstance, Param1Type &theParam1)
- Type* XalanConstruct (MemoryManager &theMemoryManager, Type *&theInstance, Param1Type &theParam1, const Param2Type &theParam2)
- Type* XalanConstruct (MemoryManager &theMemoryManager, Type *&theInstance, Param1Type &theParam1, const Param2Type &theParam2, Param3Type &theParam3)
- Type* XalanConstruct (MemoryManager &theMemoryManager, Type *&theInstance, Param1Type &theParam1, Param2Type &theParam2, const Param3Type &theParam3, const Param4Type &theParam4, const Param5Type &theParam5)
- Type* XalanConstruct (MemoryManager &theMemoryManager, Type *&theInstance, Param1Type &theParam1, Param2Type &theParam2, const Param3Type &theParam3, const Param4Type &theParam4, const Param5Type &theParam5, const Param6Type &theParam6)
- Type* XalanCopyConstruct (MemoryManager &theMemoryManager, const Type &theSource)
- Type* XalanCopyConstruct (MemoryManager &theMemoryManager, const Type &theSource, Param1Type &theParam1)

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef XERCES_CPP_NAMESPACE_QUALIFIER
  MemoryManager MemoryManagerType

## Define Documentation

#define XALANMEMORYMANAGEMENT_HEADER_GUARD_1357924680

| Value:

#define XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR XALAN_DEFAULT_CONSTRUCTOR_MEMORY_MGR

#define XALAN_DEFAULT_CONSTRUCTOR_MEMORY_MGR = XalanMemMgrs::getDefaultXercesMemMgr()

#define XALAN_DEFAULT_MEMMGR = XalanMemMgrs::getDefaultXercesMemMgr()

#define XALAN_USES_MEMORY_MANAGER( | Type )

| Value:
    template<> \
    struct MemoryManagedConstructionTraits<Type> \
        { \
            typedef ConstructWithMemoryManager<Type> Constructor; \
        };

## Function Documentation

XALAN_USING_XERCES ( | MemoryManager )

| XalanXMLSerializerBase serves as a base class for XML serializers based on FormatterListener events.

Type * XalanConstruct ( | MemoryManager & theMemoryManager,
| Type *& theInstance,
| Param1Type & theParam1,
| Param2Type & theParam2,
| const Param3Type & theParam3,
| const Param4Type & theParam4,
| const Param5Type & theParam5,
| const Param6Type & theParam6 )

Type * XalanConstruct ( | MemoryManager & theMemoryManager,
| Type *& theInstance,
| Param1Type & theParam1,
| Param2Type & theParam2,
| const Param3Type & theParam3,
| const Param4Type & theParam4,
| const Param5Type & theParam5 )

Type * XalanConstruct ( | MemoryManager & theMemoryManager,
| Type *& theInstance,
| Param1Type & theParam1,
| const Param2Type & theParam2,
| Param3Type & theParam3 )

Type * XalanConstruct ( | MemoryManager & theMemoryManager,
| Type *& theInstance,
| Param1Type & theParam1,
| const Param2Type & theParam2 )

Type * XalanConstruct ( | MemoryManager & theMemoryManager,
| Type *& theInstance,
| Param1Type & theParam1 )

Type * XalanConstruct ( | MemoryManager & theMemoryManager,
| Type *& theInstance,
| const Param1Type & theParam1 )

Type * XalanConstruct ( | MemoryManager & theMemoryManager,
| Type *& theInstance )

Type * XalanCopyConstruct ( | MemoryManager & theMemoryManager,
| const Type & theSource,
| Param1Type & theParam1 )

Type * XalanCopyConstruct ( | MemoryManager & theMemoryManager,
| const Type & theSource )

void XalanDestroy ( | MemoryManager & theMemoryManager,
| Type & theArg )

void XalanDestroy ( | MemoryManager & theMemoryManager,
| Type * theArg )

void XalanDestroy ( | Type * theArg )

void XalanDestroy ( | Type & theArg )

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER MemoryManager MemoryManagerType

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.